Package com.smartgwt.client.types

# Enum ChartType

java.lang.Object
java.lang.Enum<ChartType>
com.smartgwt.client.types.ChartType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ChartType>`, `Constable`

public enum ChartType extends Enum<ChartType> implements ValueEnum
Known chart types. These are visual representations of data, not separate data models, although some chart types are only capable of showing a single facet of data.

Concrete charting implementations may use any value for `chartType` but should support the provided `chartType` values for charts that correspond to the visual presentation described below, to enable easy switching between charting engines.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  Values represented by area, with stacked values representing multiple facet values.
  `BAR`
  Values represented by horizontal bars.
  `BUBBLE`
  A chart with two continuous numeric axes and up to one discrete facet that also displays values from a third continuous, numeric domain represented as the sizes of the data point shapes.
  `COLUMN`
  Values represented by vertical columns.
  `DOUGHNUT`
  Like a pie chart with a central hole.
  `HISTOGRAM`
  Like a column chart, except instead of showing stacked or clustered values for each position on the horizontal axis, the data values are used together with the associated `FacetChart.endValueMetric` values to show a series of line segments.
  `LINE`
  Values represented by a lines between data points, or stacked areas for multiple facets.
  `PIE`
  Circular chart with wedges representing values.
  `RADAR`
  Values represented on a circular background by a line around the center, or stacked areas for multiple facets
  `SCATTER`
  A chart with two continuous numeric axes and up to one discrete facet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ChartType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ChartType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AREA

    public static final ChartType AREA
    Values represented by area, with stacked values representing multiple facet values. This is equivalent to ChartType "Line" with stacking enabled.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Area".

  - ### COLUMN

    public static final ChartType COLUMN
    Values represented by vertical columns. Typically supports stacking to represent two facets. May support simultaneous stacking and clustering for 3 facets.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Column".

  - ### BAR

    public static final ChartType BAR
    Values represented by horizontal bars. Typically supports stacking to represent two facets. May support simultaneous stacking and clustering for 3 facets.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Bar".

  - ### LINE

    public static final ChartType LINE
    Values represented by a lines between data points, or stacked areas for multiple facets.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Line".

  - ### RADAR

    public static final ChartType RADAR
    Values represented on a circular background by a line around the center, or stacked areas for multiple facets

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Radar".

  - ### PIE

    public static final ChartType PIE
    Circular chart with wedges representing values. Multiple or stacked pies for multiple facets.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Pie".

  - ### DOUGHNUT

    public static final ChartType DOUGHNUT
    Like a pie chart with a central hole. Multiple or stacked doughnuts for multiple facets.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Doughnut".

  - ### SCATTER

    public static final ChartType SCATTER
    A chart with two continuous numeric axes and up to one discrete facet.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Scatter".

  - ### BUBBLE

    public static final ChartType BUBBLE
    A chart with two continuous numeric axes and up to one discrete facet that also displays values from a third continuous, numeric domain represented as the sizes of the data point shapes.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Bubble".

  - ### HISTOGRAM

    public static final ChartType HISTOGRAM
    Like a column chart, except instead of showing stacked or clustered values for each position on the horizontal axis, the data values are used together with the associated `FacetChart.endValueMetric` values to show a series of line segments.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "Histogram".

- ## Method Details

  - ### values

    public static ChartType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ChartType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`